package ch.hslu.loggerinterface;

/**
 * Defines the log levels to be used for logging.
 */
public enum Loglevel {
    OFF(0),            //No log level
    ERROR(1),          //Error log level
    WARNING(2),        //Warning log level
    INFO(3),           //Information log level
    DEBUG(4);          //Debug log level

    private int value;

    /**
     * private constructor
     * @param value the value for the enum
     */
    private Loglevel(int value) {
        this.value = value;
    }

    /**
     * gets the int value of the enum
     * @return gives the Loglevel
     */
    public int getLoglevel() {
        return value;
    }
}
